Delete a Sentence - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
DELETE
/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}
Delete a Sentence
cURL
curl --request DELETE \
--url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId} \
--header 'X-API-Key: <api-key>'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
204: Successfully deleted sentence
400: Bad Request
{ "type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }401: Unauthorized
{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }402: Payment Required
{ "type": "Payment Required", "title": "Payment Required Error", "status": 402, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 402, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }403: Forbidden
{ "type": "Forbidden", "title": "Forbidden Error", "status": 403, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }404: Not Found
{ "type": "Not Found", "title": "Not Found Error", "status": 404, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {}, "logLevel": "error" }
... (Additional response codes can be added here)
Authorizations
- Header:
X-API-Keystring, required. Supply the API Key in the HTTP-Header.
Headers
The Accept header specifies the media type that the client expects in the response. Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Path Parameters
localeId: string, required. The unique identifier for the Locale.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Required string length:
intentId: string, required. The unique identifier for the Intent.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Required string length:
sentenceId: string, required. The unique identifier for the Example Sentence.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$.
- Required string length: